Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLTableElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLTableElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLTableElement.

    public interface WMLTableElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'table' create a set of aligned columns of text and images. (Section 11.8.5, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Deprecated.
`int` | `getColumns()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setAlign(String newValue)` Deprecated. 'align' set the align of the table (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setColumns(int newValue)` Deprecated. 'columns' specifies the number of columns (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` Deprecated. 'title' specifies a title for the table (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` Deprecated. The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setTitle

    void setTitle(String newValue)

  Deprecated.
  'title' specifies a title for the table (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getTitle

    String getTitle()

  Deprecated.

### setAlign

    void setAlign(String newValue)

  Deprecated.
  'align' set the align of the table (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getAlign

    String getAlign()

  Deprecated.

### setColumns

    void setColumns(int newValue)

  Deprecated.
  'columns' specifies the number of columns (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getColumns

    int getColumns()

  Deprecated.

### setXmlLang

    void setXmlLang(String newValue)

  Deprecated.
  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    String getXmlLang()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD